<?php
namespace boru\boruai\Models\Services;

interface ServiceInterface {
    public function model($model=null);
    public function set($k,$value=null);
    public function get($k=null,$default=null);
    public function addTool($tool=[]);
    public function addTools($tools=[]);
    public function getTools();
    public function addMessage($message,$options=[]);
    public function addImage($image,$options=[]);
    public function addFile($file,$options=[]);
    public function call($options=[]);
    public function callback($callback=null);
    public function setEventDispatcher($dispatcher);
    public function isStreamable();
}